Bug 1024034 (CVE-2017-5840)

Summary: VUL-1: CVE-2017-5840: gstreamer-plugins-good: Out of bounds heap read in qtdemux_parse_samples
Product: [Novell Products] SUSE Security Incidents Reporter: Matthias Gerstner <matthias.gerstner>
Component: IncidentsAssignee: Antonio Larrosa <alarrosa>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Minor    
Priority: P4 - Low CC: astieger, jsegitz, matthias.gerstner, mikhail.kasimov, smash_bz, sreeves, zaitor
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/179850/
Whiteboard: CVSSv2:SUSE:CVE-2017-5840:4.3:(AV:N/AC:M/Au:N/C:N/I:N/A:P) CVSSv2:NVD:CVE-2017-5840:5.0:(AV:N/AC:L/Au:N/C:N/I:N/A:P)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Comment 1 Matthias Gerstner 2017-02-07 13:17:49 UTC
The following codestreams are affected:

SUSE:SLE-12:Update/gstreamer-plugins-good/gst-plugins-good-1.2.4/gst/isomp4/qtdemux.c:6472
SUSE:SLE-12-SP2:Update/gstreamer-plugins-good/gst-plugins-good-1.8.3/gst/isomp4/qtdemux.c:8005

QA reproducer:

Using the PoC file from https://bugzilla.gnome.org/attachment.cgi?id=343753
I've been able to reproduce the issue von SLES-12-SP2 like this:

  valgrind gst-discoverer-1.0 oob-qtdemux_parse_samples.mp4

valgrind will print errors about invalid read accesses.
Comment 2 Swamp Workflow Management 2017-02-07 23:01:38 UTC
bugbot adjusting priority
Comment 6 Antonio Larrosa 2017-02-16 16:21:20 UTC
I made a few SRs to fix this:
https://build.suse.de/request/show/128202 for SLE12-SP2 (which will go automatically to Leap 42.2 once the fix is released)
https://build.suse.de/request/show/128218 for SLE12
https://build.opensuse.org/request/show/458517 for Leap 42.1
Factory is not affected.
Comment 7 Swamp Workflow Management 2017-04-13 13:10:51 UTC
SUSE-SU-2017:1004-1: An update that fixes three vulnerabilities is now available.

Category: security (low)
Bug References: 1024014,1024017,1024034
CVE References: CVE-2016-10198,CVE-2016-10199,CVE-2017-5840
Sources used:
SUSE Linux Enterprise Server 12-SP1 (src):    gstreamer-plugins-good-1.2.4-2.9.1
SUSE Linux Enterprise Desktop 12-SP1 (src):    gstreamer-plugins-good-1.2.4-2.9.1
Comment 8 Swamp Workflow Management 2017-04-13 13:14:26 UTC
SUSE-SU-2017:1010-1: An update that fixes 5 vulnerabilities is now available.

Category: security (low)
Bug References: 1024014,1024017,1024030,1024034,1024062
CVE References: CVE-2016-10198,CVE-2016-10199,CVE-2017-5840,CVE-2017-5841,CVE-2017-5845
Sources used:
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    gstreamer-plugins-good-1.8.3-12.12
SUSE Linux Enterprise Server 12-SP2 (src):    gstreamer-plugins-good-1.8.3-12.12
SUSE Linux Enterprise Desktop 12-SP2 (src):    gstreamer-plugins-good-1.8.3-12.12
Comment 9 Swamp Workflow Management 2017-04-19 19:12:51 UTC
openSUSE-SU-2017:1066-1: An update that fixes 5 vulnerabilities is now available.

Category: security (low)
Bug References: 1024014,1024017,1024030,1024034,1024062
CVE References: CVE-2016-10198,CVE-2016-10199,CVE-2017-5840,CVE-2017-5841,CVE-2017-5845
Sources used:
openSUSE Leap 42.2 (src):    gstreamer-plugins-good-1.8.3-5.3.1
Comment 10 Swamp Workflow Management 2017-04-20 13:13:35 UTC
openSUSE-SU-2017:1076-1: An update that fixes 5 vulnerabilities is now available.

Category: security (low)
Bug References: 1024014,1024017,1024030,1024034,1024062
CVE References: CVE-2016-10198,CVE-2016-10199,CVE-2017-5840,CVE-2017-5841,CVE-2017-5845
Sources used:
openSUSE Leap 42.1 (src):    gstreamer-plugins-good-1.4.5-8.1
Comment 11 Johannes Segitz 2017-07-11 15:23:30 UTC
fixed